%{?nodejs_find_provides_and_requires}
%global npm_name asap

Summary:       High-priority task queue for Node.js and browsers
Name:          nodejs-%{npm_name}
Version:       2.0.3
Release:       1%{?dist}
License:       MIT
URL:           https://github.com/kriskowal/asap
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
ExclusiveArch: %{nodejs_arches} noarch
BuildArch:     noarch
Provides:      nodejs-%{npm_name} = %{version}

%description
ASAP strives to schedule events to occur before yielding for IO, 
reflow, or redrawing. Each event receives an independent stack, 
with only platform code in parent frames and the events run in 
the order they are scheduled.

ASAP provides a fast event queue that will execute tasks until it 
is empty before yielding to the JavaScript engine's underlying 
event-loop. When a task gets added to a previously empty event 
queue, ASAP schedules a flush event, preferring for that event to 
occur before the JavaScript engine has an opportunity to perform 
IO tasks or rendering, thus making the first task and subsequent 
tasks semantically indistinguishable. ASAP uses a variety of 
techniques to preserve this invariant on different versions of 
browsers and Node.js.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr *.js package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%files
%doc CHANGES.md README.md
%license LICENSE.md
%{nodejs_sitelib}/%{npm_name}

%changelog
* Wed Jan 06 2016 Troy Dawson <tdawson@redhat.com> - 2.0.3-1
- Initial package
